CREATE TABLE hrc_evt_context_derivations (
    CONTEXT_DERIVATION_ID         NUMBER(18, 0) ,
    SOURCE_OBJECT_ID              NUMBER(18, 0)     NOT NULL,
    CONTEXT_TYPE                  VARCHAR2(120)     NOT NULL,
    TYPE                          VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    CLASS_NAME                    VARCHAR2(320) ,
    METHOD_NAME                   VARCHAR2(320) ,
    PLSQL_FUNCTION                VARCHAR2(320) ,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SGUID                         VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONTEXT_DERIVATION_ID         NUMBER(18, 0) ,
    SOURCE_OBJECT_ID              NUMBER(18, 0)     NOT NULL,
    CONTEXT_TYPE                  VARCHAR2(120)     NOT NULL,
    TYPE                          VARCHAR2(120)     NOT NULL,
    SOURCE_OBJECT_ATTRIBUTE_ID    NUMBER(18, 0) ,
    CLASS_NAME                    VARCHAR2(320) ,
    METHOD_NAME                   VARCHAR2(320) ,
    PLSQL_FUNCTION                VARCHAR2(320) ,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SGUID                         VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_evt_context_derivations PRIMARY KEY (CONTEXT_DERIVATION_ID, CONTEXT_DERIVATION_ID)
);
